Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface NTStatus

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary

    public interface NTStatus

extends com.sun.jna.win32.StdCallLibrary

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static int` | `STATUS_ABANDONED`
`static int` | `STATUS_ABANDONED_WAIT_0`
`static int` | `STATUS_ABANDONED_WAIT_63`
`static int` | `STATUS_BUFFER_TOO_SMALL`
`static int` | `STATUS_SUCCESS`
`static int` | `STATUS_WAIT_0`
`static int` | `STATUS_WAIT_1`
`static int` | `STATUS_WAIT_2`
`static int` | `STATUS_WAIT_3`
`static int` | `STATUS_WAIT_63`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Field Detail

### STATUS_SUCCESS

    static final int STATUS_SUCCESS

See Also:
  Constant Field Values

### STATUS_BUFFER_TOO_SMALL

    static final int STATUS_BUFFER_TOO_SMALL

See Also:
  Constant Field Values

### STATUS_WAIT_0

    static final int STATUS_WAIT_0

See Also:
  Constant Field Values

### STATUS_WAIT_1

    static final int STATUS_WAIT_1

See Also:
  Constant Field Values

### STATUS_WAIT_2

    static final int STATUS_WAIT_2

See Also:
  Constant Field Values

### STATUS_WAIT_3

    static final int STATUS_WAIT_3

See Also:
  Constant Field Values

### STATUS_WAIT_63

    static final int STATUS_WAIT_63

See Also:
  Constant Field Values

### STATUS_ABANDONED

    static final int STATUS_ABANDONED

See Also:
  Constant Field Values

### STATUS_ABANDONED_WAIT_0

    static final int STATUS_ABANDONED_WAIT_0

See Also:
  Constant Field Values

### STATUS_ABANDONED_WAIT_63

    static final int STATUS_ABANDONED_WAIT_63

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD